Bug 243641 - [PATCH] irc/weechat: allow build with ruby27
Summary: [PATCH] irc/weechat: allow build with ruby27
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Bernard Spil
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-01-27 02:50 UTC by Dima Panov
Modified: 2020-04-02 04:10 UTC (History)
1 user (show)

See Also:
fluffy: maintainer-feedback? (brnrd)


Attachments
unbreak with ruby27 (2.09 KB, patch)
2020-01-27 02:50 UTC, Dima Panov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dima Panov freebsd_committer 2020-01-27 02:50:35 UTC
Created attachment 211091 [details]
unbreak with ruby27
Comment 1 Automation User 2020-02-11 00:28:09 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/116712856
Comment 2 commit-hook freebsd_committer 2020-02-22 18:51:56 UTC
A commit references this bug:

Author: brnrd
Date: Sat Feb 22 18:51:01 UTC 2020
New revision: 526847
URL: https://svnweb.freebsd.org/changeset/ports/526847

Log:
  irc/weechat: Add Ruby 2.7 support

  PR:		243641
  Submitted by:	fluffy

Changes:
  head/irc/weechat/files/patch-cmake_FindRuby.cmake
Comment 3 commit-hook freebsd_committer 2020-04-02 04:10:34 UTC
A commit references this bug:

Author: fluffy
Date: Thu Apr  2 04:09:55 UTC 2020
New revision: 530256
URL: https://svnweb.freebsd.org/changeset/ports/530256

Log:
  irc/weechat: fix patch-cmake_FindRuby.cmake before 2020Q2 branch

  Bernard obliviously commit raw patch for port itself rather than applied result for src

  Pointyhat to:	brnrd
  PR:		243641 (originally was)
  Submitted by:	fluffy
  Approved by:	portmgr blanket (fix build issue)

Changes:
  head/irc/weechat/files/patch-cmake_FindRuby.cmake